// Author: fengshengxiong
// Date: 2024/5/7
// Description: 主题

import 'package:flutter/material.dart';
import 'package:tone_snap/res/themes/app_colors.dart';

ThemeData sideATheme = ThemeData.dark(useMaterial3: true).copyWith(
  colorScheme: ColorScheme.fromSeed(seedColor: const Color(0xFF000000)),
  appBarTheme: const AppBarTheme(color: Color(0xFF000000)),
  scaffoldBackgroundColor: const Color(0xFF000000),
  scrollbarTheme: ScrollbarThemeData(
    thumbVisibility: WidgetStateProperty.all(false),
    thumbColor: WidgetStateProperty.all(Colors.white),
    radius: const Radius.circular(8),
  ),
);

ThemeData sideBTheme = ThemeData.dark(useMaterial3: true).copyWith(
  colorScheme: ColorScheme.fromSeed(seedColor: seedColor),
  appBarTheme: const AppBarTheme(color: scaffoldBgColor),
  scaffoldBackgroundColor: scaffoldBgColor,
);
